# Package org.apache.ignite.internal.sql

Interface Summary
SqlLexerToken: SQL parser token interface.

Class Summary
SqlKeyword: SQL keyword constants.
SqlLexer: SQL lexer.
SqlLexerLookAheadToken: Plain immutable look-ahead parser token.
SqlParser: SQL parser.
SqlParserUtils: Parser utility methods.

Enum Summary
SqlLexerTokenType: Lexer token type.

Exception Summary
SqlParseException: Parse exception.
SqlStrictParseException: Parse exception guarantees parse error without.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018